package com.ym.mec.biz.dal.dto;

import org.apache.commons.lang3.StringUtils;

import java.math.BigDecimal;

/**
 * @Author Joburgess
 * @Date 2020/2/9
 */
public class SimpleUserDto {

    private Integer userId;

    private String nickName;

    private String userName;

    private String realName;

    private String avatar;

    private Integer gender;

    private String subjectNames;

    private String introduction;

    private String phone;

    private String organIds;

    private String[] organIdList;

    private BigDecimal actualAmount;

    public String getOrganIds() {
        return organIds;
    }

    public void setOrganIds(String organIds) {
        this.organIds = organIds;
        if(StringUtils.isNotEmpty(organIds)){
            this.organIdList = organIds.split(",");
        }
    }

    public String[] getOrganIdList() {
        return organIdList;
    }

    public BigDecimal getActualAmount() {
        return actualAmount;
    }

    public void setActualAmount(BigDecimal actualAmount) {
        this.actualAmount = actualAmount;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public SimpleUserDto(Integer userId, String userName) {
        this.userId = userId;
        this.userName = userName;
    }

    public SimpleUserDto() {
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getSubjectNames() {
        return subjectNames;
    }

    public void setSubjectNames(String subjectNames) {
        this.subjectNames = subjectNames;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getRealName() {
        return realName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
        this.realName = userName;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }
}
